<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Merge Opportunities</title>


<link rel="stylesheet" type="text/css" media="screen" href="../css/jquery_ui_1.8.18.custom.css" />
<link rel="stylesheet" type="text/css" media="screen" href="../css/ui.jqgrid.css" />
<link rel="stylesheet" type="text/css" media="screen" href="../css/ui.datepicker.css" />
<script src="../../ClientGlobalContext.js.aspx" type="text/javascript"> </script>
<script src="../js/jquery_min.js"></script>
<script src="../js/jquery_ui_min.js"></script>
<script src="../js/grid.locale_en.js" type="text/javascript"></script>
<script src="../js/jquery.jqGrid.min.js" type="text/javascript"></script>
<script src="../js/json2.js" type="text/javascript"></script>
<script src="../js/OppMerge.js" type="text/javascript"></script>
<!--<link rel="stylesheet" type="text/css" href="../css/OppMerge.css" />-->

<style type="text/css">
.merge_info{
	font-family:"Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
	font-size:14px;
	padding-top:15px;
	padding-bottom:15px;
}
</style>
 
<script type="text/javascript">
var context = GetGlobalContext();
var serverUrl = context.getServerUrl();
var ODataPath = serverUrl + "/XRMServices/2011/OrganizationData.svc";
var myParams = getDataParam();
var OppID = myParams[0].split("=")[1];
var PersID = myParams[1].split("=")[1];
var OppName = myParams[2].split("=")[1];
//Query to get data for Opportunity to be merged
var ODataQueryM = ODataPath + "/OpportunitySet?$select=Name,a422_rel_entrytermid,OpportunityId,a422_rel_opptypeid,a422_rel_oppstatusvalueid,a422_rel_majorvalueid,a422_applicationtypeid&$filter=CustomerId/Id eq guid'" + PersID + "'and OpportunityId eq guid'" + OppID + "'";
//Query to get data for other Opportunities to select one as parent
var ODataQuery = ODataPath + "/OpportunitySet?$select=Name,a422_rel_entrytermid,OpportunityId,a422_rel_opptypeid,a422_rel_oppstatusvalueid,a422_rel_majorvalueid,a422_applicationtypeid&$filter=CustomerId/Id eq guid'" + PersID + "'and OpportunityId ne guid'" + OppID + "'";
var Query1Count;
var Query2Count;
var lastsel;
jQuery.support.cors = true;

//Grid for Opportunity to be merged
jQuery(document).ready(function(){ 
  $("#toMerge").jqGrid({
    url: ODataQueryM,
    datatype: "json",
	contentType: "application/json; charset=utf-8", 
    //mtype: 'GET',
    colNames:['OppID','Name','Entry Term','Opportunity Type','Opportunity Status Value','Application Type','Major Value'],
    colModel :[ 
	  {name:'OpportunityId', label:'ID', hidden:true},
	  {name:'Name', label:'Name'},
	  {name:'a422_rel_entrytermid.Name', label:'a422_rel_entrytermid', width:60}, 
      {name:'a422_rel_opptypeid.Name', label:'a422_rel_opptypeid', width:80},
	  {name:'a422_rel_oppstatusvalueid.Name', label:'a422_rel_oppstatusvalueid', width:100, editable:false},
	  {name:'a422_applicationtypeid.Name', label:'a422_applicationtypeid', width:80, editable:false},
	  {name:'a422_rel_majorvalueid.Name', label:'a422_rel_majorvalueid', width:80, editable:false},
    ],

    //pager: '#pager',
	pgbuttons: false,
	pginput: false,
	autowidth: true,
	shrinkToFit: true,
	height: auto,
    rowNum: 1,
    viewrecords: true,
	gridComplete: function(){
		Query1Count = jQuery('#toMerge').getGridParam('reccount');	
		if (Query1Count < 1)
		{
			document.getElementById('container').innerHTML = "<div class='merge_info' style='text-align: center;'>This Opportunity has already been closed, merged or deleted<br /><br />" +
            "<a href='#' onClick='javascript:window.close();'>Close Window</a></div>"
		}
	},
	jsonReader : {
      root: "d.results",
      page: function (obj) { return 1; },
      total: function (obj) { return 1; },
	  records: function (obj) { return obj.length; },
      repeatitems: false,
	  cell: "",
      id:"OpportunityId"
	  }
  }); 
}); 

$(window).bind('resize', function () {
     $("#toMerge").setGridWidth($(window).width() - 25);
        }).trigger('resize');

//Grid for selecting parent Opportunity
jQuery(document).ready(function(){ 
  $("#list").jqGrid({
    url: ODataQuery,
    datatype: "json",
	contentType: "application/json; charset=utf-8", 
    //mtype: 'GET',
    colNames:['OppID','Name',' ','Entry Term','Opportunity Type','Opportunity Status Value','Application Type','Major Value'],
    colModel :[ 
	  {name:'OpportunityId', label:'ID', hidden:true},
	  {name:'Name', label:'Name', hidden:true},
	  {name:'sel',index:'sel', width:25,sortable:false, align:'center'},
	  {name:'a422_rel_entrytermid.Name', label:'a422_rel_entrytermid', width:60}, 
      {name:'a422_rel_opptypeid.Name', label:'a422_rel_opptypeid', width:80},
	  {name:'a422_rel_oppstatusvalueid.Name', label:'a422_rel_oppstatusvalueid', width:100, editable:false},
	  {name:'a422_applicationtypeid.Name', label:'a422_applicationtypeid', width:80, editable:false},
	  {name:'a422_rel_majorvalueid.Name', label:'a422_rel_majorvalueid', width:80, editable:false},
    ],

    //pager: '#pager',
	pgbuttons: false,
	pginput: false,
	autowidth: true,
	shrinkToFit: true,
	height: 75,
    rowNum: 300,
    viewrecords: true,
	gridComplete: function(){
		var ids = jQuery('#list').jqGrid('getDataIDs');
		for(var i=0;i < ids.length;i++){
			var cl = ids[i];
			r = "<input type='radio' name='OppSelect' value='" + ids[i] + "'>";
			jQuery('#list').jqGrid('setRowData',ids[i],{sel:r});
		}
		
		Query2Count = jQuery('#list').getGridParam('reccount');
		if (Query2Count < 1)
		{
			document.getElementById('container').innerHTML = "<div class='merge_info' style='text-align: center;'>There are no Opportunities to merge with<br /><br />" +
            "<a href='#' onClick='javascript:window.close();'>Close Window</a></div>"
		}
	},
	
	jsonReader : {
      root: "d.results",
      page: function (obj) { return 1; },
      total: function (obj) { return 1; },
	  records: function (obj) { return obj.length; },
      repeatitems: false,
	  cell: "",
      id:"OpportunityId"
	  }
  }); 
}); 

$(window).bind('resize', function () {
     $("#list").setGridWidth($(window).width() - 25);
        }).trigger('resize');
		
</script>
 
</head>
<body>
<div id="container">
<div class="merge_info">The following Opportunity will be merged and deleted:</div>
<table id="toMerge"><tr><td/></tr></table> 
<div class='merge_info'>Select the opportunity to which related records from the deleted opportunity should be added:</div>
<table id="list"><tr><td/></tr></table> 
<div id="pager"></div> 
<div class="merge_info">When you click &#39;Merge Opportunity&#39; the following items from the first 
	opportunity will be attached to the second selected opportunity:
	<ul>
	<li>Activities/History</li>
	<li>Awards</li>
	<li>Interests</li>
	<li>Notes</li>
	<li>Status Changes</li>
	</ul>
	Opportunity Requirements will be recalculated based on the Application Type. No other data from the first 
	opportunity will be retained. If you wish to transfer any other information from 
	the first opportunity to the second, click Cancel and make manual edits before 
	attempting the opportunity merge again. 
</div>
<div style="text-align:center; padding-top:20px;">
	<input style="margin-right:20px;" type="button" id="btMerger" value="Merge" onclick="ShowProgress(OppID,ODataPath,OppName)" />
	<input type="button" id="btCancel" value="Cancel" onclick="window.close();" />
</div>
</div>
<div id="loading" class="merge_info" style="display:none; padding-top:200px; text-align:center">
<img alt="Merging Opportunities.  Please wait." src="../icons/ProcessingIcon.gif" style="padding-right:15px" />...Merging Opportunities.  Please wait.
</div>
</body>
</html>